www.cendio.com
Bug 4116 - Unable to remove migrated filter on Windows 7
: Unable to remove migrated filter on Windows 7
Status: CLOSED FIXED
: ThinLinc
Client
: 3.3.0
: PC Windows
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-12-22 14:55 by
Modified: 2012-11-28 12:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2011-12-22 14:55:08
After upgrading the client to 3.3.0 on Windows 7, we have a 'Migrated filter'
in the certificate filters list. This is able to be removed in the settings,
but restarting the client makes it reappear.

This is a continuation of bug 3590, comment #20.
------- Comment #1 From cendio 2012-08-15 16:53:57 -------
The main problem here is that if a client customization is done
registry keys are stored into local machine and the migration
of filter mechanism tries to remove the old filter but fails due
to no access.

To handle this problem we should use a new key to indicate that
a filter has been migrated.
------- Comment #2 From cendio 2012-08-15 16:57:25 -------
Fix committed in rev 25615.

Tester should use an old version of client customizer that creates a
custom smartcard filter in local machine part of registry, this can
be manually added into place for the test.

Then upgrade the client to verify that filter get migrated.
------- Comment #3 From cendio 2012-10-18 13:11:51 -------
I don't think this implementation is minimal - I think we can get rid of the
new parameter SMARTCARD_FILTER_MIGRATED. Patch will follow.
------- Comment #5 From cendio 2012-10-22 11:26:05 -------
Attached patch for minimal approach applied in commit r26049.
------- Comment #6 From cendio 2012-10-23 09:52:22 -------
Works great.